#Calculating temporal overlap indices
library(overlap)
#import the text file
TemporalOverlap <- read.csv("TemporalOverlap.txt", sep="")
View(TemporalOverlap)
summary(TemporalOverlap)
summary(TemporalOverlap$Sps)
range(TemporalOverlap$Time)
timeRad <- TemporalOverlap$Time * 2 * pi
BrownHyena <- timeRad[TemporalOverlap$Sps == 'BrownHyena']
densityPlot(BrownHyena, rug=TRUE)
SpottedHyena <- timeRad[TemporalOverlap$Sps == 'SpottedHyena']
densityPlot(SpottedHyena, rug=TRUE)
Leopard<-timeRad[TemporalOverlap$Sps == 'Leopard']]
densityPlot(Leopard, rug=TRUE)

Calculating density estimates SECR
> library(secr)
> ##Leopard density analysis##
> Leopard <- read.capthist("Leopardmatrixdensities.txt", "LeopardTrapsCartesian.txt", detector = "count") ##Create capthist object
> summary(Leopard)
> LeopardMMDMmask <- read.mask("LeopardMMDM.txt") #Importing habitat mask in a text file format
> fitleopardmmdm <- secr.fit (Leopard, mask = LeopardMMDMmask, trace = FALSE) ##Fitting null model with full MMDM radius mask
> fitleopardmmdm #prediction of denisty with null model
>secr.fit(capthist = Leopard, mask = LeopardMMDMmask, trace = FALSE)
> ## Checking model fits of different detection functions: 'HR', 'HN' and 'EX'. 
> fitleopardmmdm.HN <- secr.fit (Leopard, mask = LeopardMMDMmask, detectfn = 'HN', trace = FALSE)
> fitleopardmmdm.EX <- secr.fit (Leopard, mask = LeopardMMDMmask, detectfn = 'EX', trace = FALSE)
> fitleopardmmdm.HR <- secr.fit (Leopard, mask = LeopardMMDMmask, detectfn = 'HR', trace = FALSE)
> leopardmmdmfits <- secrlist(HN = fitleopardmmdm.HN, EX = fitleopardmmdm.EX, HR = fitleopardmmdm.HR)
> predict(leopardmmdmfits)
> AIC(leopardmmdmfits) #Compating the AIC of the three models to find the best fit model
> ## Checking for learned response specific to detection location
> fitleopardmmdm.HR.b <- secr.fit (Leopard, mask = LeopardMMDMmask, model = g0 ~ b, detectfn = 'HR', trace = FALSE)
> fitleopardmmdm.HR.bk <- secr.fit (Leopard, mask = LeopardMMDMmask, model = g0 ~ bk, detectfn = 'HR', trace = FALSE)
> leopardfitresponse <- secrlist(null = fitleopardmmdm.HR, b = fitleopardmmdm.HR.b, bk = fitleopardmmdm.HR.bk)
> AIC(leopardfitresponse)
> predict(leopardfitresponse)
> coef(fitleopardmmdm.HR.bk) ##Ascertaining the direction of the learned response (it can be positive or negative)


              